> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# v3 Insight Download URL

> Download an insight using its id.



## OpenAPI

````yaml get /v3/insights/{id}/download_url
openapi: 3.0.0
info:
  contact: {}
  description: Insights API for Platform2.0
  license:
    name: GWI Platform 2.0 Community
    url: https://github.com/orgs/GlobalWebIndex/teams/engineering-platform-2-0
  title: Insights API
  version: 0.0.1
servers:
  - url: https://api.globalwebindex.com
security: []
paths:
  /v3/insights/{id}/download_url:
    get:
      tags:
        - Insights
      summary: v3 Insight Download URL
      description: Download an insight using its id.
      operationId: v3InsightDownload
      parameters:
        - description: insight id
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/insights.DownloadByIDResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.httpError'
        '401':
          description: Invalid token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.httpError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.httpError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    insights.DownloadByIDResponse:
      properties:
        url:
          type: string
      type: object
    httperror.httpError:
      properties:
        code:
          type: integer
        err:
          type: string
        type:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````